# Login management

scoreboard players add @s chess.ticks 1
execute unless score @s chess.ticks = #global chess.ticks run function chess:player/login







# Join team

team join chess.player @s[team=!chess.player]







# Assign unique ID

execute unless score @s chess.id = @s chess.id store result score @s chess.id run scoreboard players add #global chess.id 1







# Initialize win counter

execute unless score @s chess.wins = @s chess.wins run scoreboard players set @s chess.wins 0







# Give effects

execute unless score #phase chess.value matches 3 run effect give @s regeneration 5 255 true
execute unless score #phase chess.value matches 3 run effect give @s resistance 5 255 true
execute unless score #phase chess.value matches 3 run effect give @s saturation 5 255 true







# Manage layer mechanic

scoreboard players set @s[predicate=chess:layer_0] chess.layer 0
scoreboard players set @s[predicate=chess:layer_1] chess.layer 1

execute unless score @s chess.layer_info = @s chess.layer_info run scoreboard players set @s chess.layer_info 1
title @s[scores={chess.layer_info=..2,chess.layer=0}] actionbar {"text":"Look up and jump","color":"green"}
title @s[scores={chess.layer_info=..2,chess.layer=1}] actionbar {"text":"Look down and sneak","color":"green"}
title @s[scores={chess.layer_info=003}] actionbar ""

execute unless score #phase chess.value matches 3 if score @s chess.layer matches 0 if score @s chess.jump matches 1.. if entity @s[x_rotation=-90..0] run function chess:player/layer/jump
execute unless score #phase chess.value matches 3 if score @s chess.layer matches 1 if score @s chess.sneak matches 1.. if entity @s[x_rotation=0..90] run function chess:player/layer/sneak







# Inventory management

execute unless score @s chess.id = #white_player chess.id unless score @s chess.id = #black_player chess.id run clear @s stone

scoreboard players set #boolean chess.value 0
execute as @a if score @s chess.id = #white_player chess.id run scoreboard players set #boolean chess.value 1
execute as @a if score @s chess.id = #black_player chess.id run scoreboard players set #boolean chess.value 1
execute if score #boolean chess.value matches 0 if score #phase chess.value matches 2 if score #game_end chess.value matches 0 run function chess:player/items/resign

execute if score @s chess.id = #cursor_player chess.id if score #phase chess.value matches 2 if score #game_end chess.value matches 0 run function chess:player/items/scepter
execute if score #boolean chess.value matches 1 unless score @s chess.id = #white_player chess.id unless score @s chess.id = #black_player chess.id run clear @s[gamemode=!creative]
execute unless score @s chess.id = #cursor_player chess.id run clear @s carrot_on_a_stick{scepter:1b}

execute if score @s chess.id = #white_player chess.id if score #phase chess.value matches 2 if score #game_end chess.value matches 0 run function chess:player/items/resign
execute if score @s chess.id = #black_player chess.id if score #phase chess.value matches 2 if score #game_end chess.value matches 0 run function chess:player/items/resign

execute if score #phase chess.value matches 1 run clear @s[gamemode=!creative]
execute if score #phase chess.value matches 3 run clear @s carrot_on_a_stick
execute if score #game_end chess.value matches 1 run clear @s carrot_on_a_stick

execute store result score #item_count chess.value run clear @s stone 0
execute if score #item_count chess.value matches 2.. run clear @s stone

execute if score @s chess.id = #white_player chess.id run item replace entity @s[predicate=!chess:white_crown] armor.head with stone{crown:1b,display:{Name:'{"text":"Crown","color":"gold","bold":true,"italic":false}',Lore:['{"text":"Sign of a True King","color":"dark_red"}']},CustomModelData:17}
execute if score @s chess.id = #black_player chess.id unless score @s chess.id = #white_player chess.id run item replace entity @s[predicate=!chess:black_crown] armor.head with stone{crown:2b,display:{Name:'{"text":"Crown","color":"gold","bold":true,"italic":false}',Lore:['{"text":"Sign of a True King","color":"dark_red"}']},CustomModelData:27}







# Title times

execute unless score @s chess.title = @s chess.title run title @s times 10 70 20
scoreboard players set @s chess.title 1







# Cursor mechanics

execute if predicate chess:scepter run function chess:cursor/main







# Reset scores

scoreboard players reset @s chess.use_item
scoreboard players reset @s chess.jump
scoreboard players reset @s chess.sneak
scoreboard players reset @s chess.layer